Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdReceipt.FiscalReceipt

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalReceipt

Direct Known Subclasses:
  `cmdReceipt.FiscalReceipt.Storno`

Enclosing class:
  cmdReceipt

    public static class cmdReceipt.FiscalReceipt
    extends cmdReceipt

Fiscal receipt

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.FiscalReceipt.InvoiceClientInfo` |
  `static class` | `cmdReceipt.FiscalReceipt.Storno` | Class handles a storno fiscal receipt

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cmdReceipt.AlignmentType, cmdReceipt.BarcdeType, cmdReceipt.FiscalReceipt, cmdReceipt.FiscalSale, cmdReceipt.FiscalTransaction, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaymentType, cmdReceipt.SeparatingLine`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalReceipt()` |
  `FiscalReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb)` | Receipt constructor

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `cancel()` | cancel fiscal receipt
  `int` | `closeFiscalReceipt()` | Close fiscal receipt
  `java.lang.String` | `getAllreceipt()` |
  `java.lang.String` | `getFiscReceipt()` |
  `java.lang.String` | `getOpCode()` |
  `java.lang.String` | `getOpPwd()` |
  `java.lang.String` | `getReceiptNumber()` |
  `java.lang.String` | `getTillNmb()` |
  `boolean` | `isOpen()` | Check for open fiscal receipt through status bits
  `cmdReceipt.FiscalReceipt` | `openFiscalReceipt()` | Open fiscal receipt
  `int` | `openFiscalReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, boolean invoice)` | Open fiscal receipt
  `int` | `openFiscalReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String nSale, java.lang.String tillNmb, boolean invoice)` | Open fiscal receipt
  `int` | `openInvoice()` | Open Invoice receipt
  `int` | `openInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb)` | Open Invoice receipt
  `void` | `printFreeText​(java.lang.String s)` | Printing of a free fiscal text
  `void` | `printSeparatingLine​(cmdReceipt.SeparatingLine separatingLine)` | Printing Separating Line
  `void` | `setOpCode​(java.lang.String opCode)` |
  `void` | `setOpPwd​(java.lang.String opPwd)` |
  `void` | `setTillNmb​(java.lang.String tillNmb)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cashInCashOut, drawerKickOut, isStornoReceiptOpen, paperCutting, paperFeed, printBarcode, printFreeText`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalReceipt

    public FiscalReceipt()

  - ### FiscalReceipt

    public FiscalReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb)
    Receipt constructor
    Parameters:
      `opCode` - Operator number from 1...30;
      `opPwd` - Operator password, ascii string of digits. Lenght from 1...8;
      `tillNmb` - Number of point of sale from 1...99999;

- ## Method Details

  - ### openFiscalReceipt

    public cmdReceipt.FiscalReceipt openFiscalReceipt() throws java.lang.Exception
    Open fiscal receipt
    Returns:
      Current Fiscal receipt
    Throws:
      `java.lang.Exception`

  - ### openFiscalReceipt

    public int openFiscalReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String nSale, java.lang.String tillNmb, boolean invoice) throws java.lang.Exception
    Open fiscal receipt
    Parameters:
      `opCode` - - Operator number from 1...30;
      `opPwd` - - Operator password, ascii string of digits. Lenght from 1...8;
      `nSale` - - Unique sale number (21 chars "LLDDDDDD-CCCC-DDDDDDD", // L[A-Za-z], C[0-9A-Za-z], D[0-9] )
      `tillNmb` - - Number of point of sale from 1...99999;
      `invoice` - - If this parameter has value true it opens an invoice receipt.If false it opens fiscal receipt;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### openFiscalReceipt

    public int openFiscalReceipt​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, boolean invoice) throws java.lang.Exception
    Open fiscal receipt
    Parameters:
      `opCode` - - Operator number from 1...30;
      `opPwd` - - Operator password, ascii string of digits. Lenght from 1...8;
      `tillNmb` - - Number of point of sale from 1...99999;
      `invoice` - - If this parameter has value true it opens an invoice receipt.If false it opens fiscal receipt;
    Returns:
      SlipNumber
    Throws:
      `java.lang.Exception`

  - ### closeFiscalReceipt

    public int closeFiscalReceipt() throws java.lang.Exception
    Close fiscal receipt
    Returns:
      SlipNumber
    Throws:
      `java.lang.Exception`

  - ### openInvoice

    public int openInvoice() throws java.lang.Exception
    Open Invoice receipt
    Returns:
      slipNumber
    Throws:
      `java.lang.Exception`

  - ### openInvoice

    public int openInvoice​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb) throws java.lang.Exception
    Open Invoice receipt
    Parameters:
      `opCode` -
      `opPwd` -
      `tillNmb` -
    Returns:
      slipNumber
    Throws:
      `java.lang.Exception`

  - ### isOpen

    public boolean isOpen()
    Check for open fiscal receipt through status bits
    Returns:
      true if receipt is open

  - ### cancel

    public boolean cancel() throws java.lang.Exception
    cancel fiscal receipt
    Returns:
      true if canceled
    Throws:
      `java.lang.Exception`

  - ### getOpCode

    public java.lang.String getOpCode()
    Returns:
      Current operator number from 1...30;

  - ### setOpCode

    public void setOpCode​(java.lang.String opCode)
    Parameters:
      `opCode` - operator number from 1...30;

  - ### getOpPwd

    public java.lang.String getOpPwd()
    Returns:
      Current operator password, ascii string of digits. Lenght from 1...8;

  - ### setOpPwd

    public void setOpPwd​(java.lang.String opPwd)
    Parameters:
      `opPwd` - Operator password, ascii string of digits. Lenght from 1...8;

  - ### getTillNmb

    public java.lang.String getTillNmb()
    Returns:
      Current number of point of sale from 1...99999;

  - ### setTillNmb

    public void setTillNmb​(java.lang.String tillNmb)
    Parameters:
      `tillNmb` - number of point of sale from 1...99999;

  - ### getAllreceipt

    public java.lang.String getAllreceipt() throws java.lang.Exception
    Returns:
      The number of all issued receipt The value is filled in after the issue of each receipt
    Throws:
      `java.lang.Exception`

  - ### getReceiptNumber

    public java.lang.String getReceiptNumber()
    Returns:
      The number of current or last opened receipt The value is filled in after the issue of each receipt

  - ### getFiscReceipt

    public java.lang.String getFiscReceipt() throws java.lang.Exception
    Returns:
      The number of all issued receipt (fiscal) in current Z-period The value is filled in after the issue of each receipt
    Throws:
      `java.lang.Exception`

  - ### printFreeText

    public void printFreeText​(java.lang.String s) throws java.lang.Exception
    Printing of a free fiscal text
    Parameters:
      `s` - text of 0...XX symbols, XX = PrintColumns-2;
    Throws:
      `java.lang.Exception`

  - ### printSeparatingLine

    public void printSeparatingLine​(cmdReceipt.SeparatingLine separatingLine) throws java.lang.Exception
    Printing Separating Line
    Parameters:
      `separatingLine` -
    Throws:
      `java.lang.Exception`